--[[
	MetaGuildGuild.lua
		All Functions for displaying and updating the Guild Tab
--]]
local MG = LibStub('AceAddon-3.0'):GetAddon('MetaGuild')
local L = LibStub("AceLocale-3.0"):GetLocale("MetaGuild");
local self = MG

function MetaGuildGuildFrame_OnLoad(self)
	--self:Print("Just Loaded the Guild Tab")
	
	MetaGuildGuildFrameEventsTextTitle:SetText(L["Guild/Events"])
	MetaGuildGuildFrameMissionTextTitle:SetText(L["Guild/Mission"])
	
	--MetaGuildGuildFrameBackgroundEventsText:SetText(L["TempText"])
	--MetaGuildGuildFrameBackgroundMissionText:SetText(L["TempText"])
	
	MetaGuildGuildFrameEditMissionButton:SetText(L["Edit"])
end	

function MetaGuildGuildFrame_OnEvent(widget, event, ...)
	if ( not widget:IsShown() ) then
		return;
	end
end

function MetaGuildGuildFrame_OnShow(widget)
	MetaGuildGuild_Update()
end

function MetaGuildGuild_Update()

	--Update the Mission Statement
	MetaGuildGuildFrameEventsText:SetText(self.db.realm.timeOffset)
	MetaGuildGuildFrameMissionText:SetText(self.db.realm.mission.text)
	
	
	--self:Print("Offset Type: "..type(self.db.realm.timeOffset))
	--	self.db.realm[editType].time = self:GetTimeCode()
	--	self.db.realm[editType].author = self.db.realm.main
	
	--Display Mission Edit Button?
	if self:CanEditMissionText() then
		MetaGuildGuildFrameEditMissionButton:Show()
	else
		MetaGuildGuildFrameEditMissionButton:Hide()
	end
end

function MG:CanEditMissionText()
	local name = UnitName("player")
	local rank = self:GetRank(name)

	--This will only allow Guild Masters to update the mission text.
	if rank >= 3 then -- Rank 3 is Guild Master
		return true
	else
		return false
	end
end
